with GNATCOM.Dispinterface;

package MSHTML.IHTMLAttributeCollection_Interface is

   type IHTMLAttributeCollection_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLAttributeCollection_Type);

   function Pointer (This : IHTMLAttributeCollection_Type)
     return Pointer_To_IHTMLAttributeCollection;

   procedure Attach (This    : in out IHTMLAttributeCollection_Type;
                     Pointer : in     Pointer_To_IHTMLAttributeCollection);

   function Get_length
     (This : IHTMLAttributeCollection_Type)
     return Interfaces.C.long;

   function Getu_newEnum
     (This : IHTMLAttributeCollection_Type)
     return GNATCOM.Types.Pointer_To_IUnknown;

   function item
     (This  : IHTMLAttributeCollection_Type;
      name  : access GNATCOM.Types.VARIANT :=
        GNATCOM.Types.PVARIANT_MISSING)
     return GNATCOM.Types.Pointer_To_IDispatch;

end MSHTML.IHTMLAttributeCollection_Interface;

